> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.dealmachine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Assignment

> Create a Driving assignment

Create a Driving assignment from a drawn area, radius, zip, county, list, filter, or existing area source.

<ParamField body="title" type="string" required>
  Assignment title
</ParamField>

<ParamField body="source" type="object" required>
  Assignment source. Include `kind` with one of `draw`, `radius`, `zip`, `county`, `list`, `filter`, or `existing-area`.
</ParamField>

<ParamField body="assigned_to_user_id" type="number">
  User ID to assign the work to
</ParamField>

<ParamField body="assigned_to_agent_slug" type="string">
  Agent slug for supported agent assignments
</ParamField>

<ParamField body="priority" type="string">
  `high`, `medium`, or `low`
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.v2.dealmachine.com/v1/driving/assignments \
    -H "Authorization: Bearer dm_sk_live_xxx" \
    -H "Content-Type: application/json" \
    -d '{
      "title": "North side drive",
      "source": { "kind": "filter", "filters": [] },
      "assigned_to_user_id": 123,
      "priority": "medium"
    }'
  ```
</RequestExample>
